﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SLComikeTagGen
{
    public partial class ColorChooser : ChildWindow
    {
        public Color SelectedColor { get; set; }
        private MainPage mainPage { get; set; }

        public ColorChooser(MainPage mainPage)
        {
            InitializeComponent();
            this.mainPage = mainPage;
        }

        //private void OKButton_Click(object sender, RoutedEventArgs e)
        //{
        //    this.DialogResult = true;
        //}

        //private void CancelButton_Click(object sender, RoutedEventArgs e)
        //{
        //    this.DialogResult = false;
        //}

        private void rectangle1_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            var rect = sender as Rectangle;
            this.SelectedColor = ((SolidColorBrush)(rect.Fill)).Color;
            mainPage.changeColor(this.SelectedColor);
            this.DialogResult = true;
        }
    }
}

